Bug 102105 - [MAINTAINER] chinese/scim-chewing: update to 0.3.1
Summary: [MAINTAINER] chinese/scim-chewing: update to 0.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-15 18:50 UTC by Ying-Chieh Chen
Modified: 2006-08-16 17:30 UTC (History)
0 users

See Also:


Attachments
scim-chewing-0.3.1.patch (1.04 KB, patch)
2006-08-15 18:50 UTC, Ying-Chieh Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ying-Chieh Chen 2006-08-15 18:50:23 UTC
- Update to 0.3.1

Generated with FreeBSD Port Tools 0.77
Comment 1 Rong-En Fan freebsd_committer 2006-08-15 19:39:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Ying-Chieh Chen 2006-08-15 21:05:26 UTC
Apply the following patch instead, thanks!

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/chinese/scim-chewing/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- Makefile	20 May 2006 00:40:39 -0000	1.16
+++ Makefile	15 Aug 2006 19:50:50 -0000
@@ -6,16 +6,17 @@
 #
 
 PORTNAME=	scim-chewing
-PORTVERSION=	0.3.0
+PORTVERSION=	0.3.1
 CATEGORIES=	chinese
 MASTER_SITES=	http://chewing.csie.net/download/scim/
 
 MAINTAINER=	yinjieh@csie.nctu.edu.tw
 COMMENT=	SCIM chewing Chinese input methods
 
-BUILD_DEPENDS=	scim:${PORTSDIR}/textproc/scim
+RUN_DEPENDS=	scim:${PORTSDIR}/textproc/scim
 LIB_DEPENDS=	chewing.3:${PORTSDIR}/chinese/libchewing
-RUN_DEPENDS=	${BUILD_DEPENDS}
+BUILD_DEPENDS=	${RUN_DEPENDS} \
+		p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
 
 USE_X_PREFIX=	yes
 USE_GMAKE=	yes
@@ -25,6 +26,7 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e 's,/1.0.0/,/,g' ${WRKSRC}/src/Makefile.in
+	@${REINPLACE_CMD} -e 's,@DATADIRNAME@,share,g' ${WRKSRC}/po/Makefile.in.in
 
 post-install:
 	@${CAT} ${PKGMESSAGE}
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/chinese/scim-chewing/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- distinfo	17 May 2006 03:21:32 -0000	1.5
+++ distinfo	15 Aug 2006 19:50:50 -0000
@@ -1,3 +1,3 @@
-MD5 (scim-chewing-0.3.0.tar.gz) = fd0d1faca7ce21d6966a2e4bbf68e542
-SHA256 (scim-chewing-0.3.0.tar.gz) = c38be62823e3f70ef5a6f8ee66bd29e720a864773ef2ec23ee0d12a47868e756
-SIZE (scim-chewing-0.3.0.tar.gz) = 425729
+MD5 (scim-chewing-0.3.1.tar.gz) = 7231e143e408b96f8374be9026ce6184
+SHA256 (scim-chewing-0.3.1.tar.gz) = ee88aa2e9ed6b970b01938d1fc8aeca200b866eee380f03623973820f45d75cb
+SIZE (scim-chewing-0.3.1.tar.gz) = 434230
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/chinese/scim-chewing/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- pkg-plist	17 May 2006 03:21:32 -0000	1.5
+++ pkg-plist	15 Aug 2006 19:50:50 -0000
@@ -4,7 +4,8 @@
 lib/scim-1.0/SetupUI/chewing-imengine-setup.a
 lib/scim-1.0/SetupUI/chewing-imengine-setup.la
 lib/scim-1.0/SetupUI/chewing-imengine-setup.so
-share/scim/icons/scim-chewing.png
+share/locale/zh_TW/LC_MESSAGES/scim-chewing.mo
 share/scim/icons/scim-chewing-swap-colors.png
+share/scim/icons/scim-chewing.png
 @dirrmtry lib/scim-1.0/IMEngine
 @dirrmtry lib/scim-1.0/SetupUI

On Tue, Aug 15, 2006 at 05:50:23PM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/102105'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=102105
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [MAINTAINER] chinese/scim-chewing: update to 0.3.1
> >Arrival-Date:   Tue Aug 15 17:50:23 GMT 2006
Comment 3 Rong-En Fan freebsd_committer 2006-08-16 17:30:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!